> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new scheduled campaign



## OpenAPI

````yaml post /campaigns/save-campaign
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /campaigns/save-campaign:
    post:
      tags:
        - campaigns
      summary: Create a new scheduled campaign
      operationId: CampaignsController_saveCampaign
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCampaignDto'
      responses:
        '201':
          description: Campaign created successfully
      security:
        - apiKey: []
components:
  schemas:
    CreateCampaignDto:
      type: object
      properties:
        agent_id:
          type: number
          example: 20
          description: Agent id
        agentname:
          type: string
          example: Agent Name
          description: Agent name
        batchQuantity:
          type: number
          example: 100
          description: Batch quantity
        repeatAfter:
          type: number
          example: 100
          description: Repeat after
        active:
          type: boolean
          example: true
          description: Active
        selected_tag:
          type: string
          example: Tag
          description: Tag
        index:
          type: number
          example: 0
          description: Index
        start_call:
          type: string
          example: '2021-01-01'
          description: Start call
        end_call:
          type: string
          example: '2021-01-01'
          description: End call
        campaign_name:
          type: string
          example: Campaign Name
          description: Campaign name
        add_tag:
          type: string
          example: Tag
          description: Add tag
        user_id:
          type: number
          example: 0
          description: User id
        maxLimit:
          type: number
          example: 0
          description: Max limit
        GHLCampaign:
          type: boolean
          example: false
          description: GHL campaign
        NumberlimitCallback:
          type: number
          example: 0
          description: Number limit callback
        working_hours:
          type: object
          example: []
          description: Working hours
        disposition:
          type: object
          example: []
          description: Disposition
      required:
        - agent_id
        - agentname
        - batchQuantity
        - repeatAfter
        - active
        - selected_tag
        - index
        - start_call
        - end_call
        - campaign_name
        - add_tag
        - user_id
        - maxLimit
        - GHLCampaign
        - NumberlimitCallback
        - working_hours
        - disposition
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````